<?xml version="1.0" encoding="UTF-8"?>
<scr:component xmlns:scr="http://www.osgi.org/xmlns/scr/v1.3.0" name="com.liferay.portal.workflow.kaleo.internal.search.spi.model.index.contributor.KaleoInstanceTokenModelIndexerWriterContributor" immediate="true">
  <property name="indexer.class.name" type="String" value="com.liferay.portal.workflow.kaleo.model.KaleoInstanceToken"/>
  <service>
    <provide interface="com.liferay.portal.search.spi.model.index.contributor.ModelIndexerWriterContributor"/>
  </service>
  <reference name="dynamicQueryBatchIndexingActionableFactory" interface="com.liferay.portal.search.batch.DynamicQueryBatchIndexingActionableFactory" field="dynamicQueryBatchIndexingActionableFactory"/>
  <reference name="kaleoInstanceLocalService" interface="com.liferay.portal.workflow.kaleo.service.KaleoInstanceLocalService" field="kaleoInstanceLocalService"/>
  <reference name="kaleoInstanceTokenLocalService" interface="com.liferay.portal.workflow.kaleo.service.KaleoInstanceTokenLocalService" field="kaleoInstanceTokenLocalService"/>
  <implementation class="com.liferay.portal.workflow.kaleo.internal.search.spi.model.index.contributor.KaleoInstanceTokenModelIndexerWriterContributor"/>
</scr:component>
